#========================================================================================
# package      DE_EPAGES::Colissimo::UI::ShippingFulfillmentMethodColissimo
# state        public
# description  UI class
#========================================================================================
package DE_EPAGES::Colissimo::UI::ShippingFulfillmentMethodColissimo;
use base DE_EPAGES::Presentation::UI::Object;

use strict;

use DE_EPAGES::Shop::API::Url qw( BuildShopUrl );
use DE_EPAGES::Core::API::Log qw ( GetLog );
use Data::Dumper;

sub View {
    my $self = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object->getSite();

    my $mkurl = sub {
        return BuildShopUrl $Shop, {ChangeAction => shift},
            { Type => 'sf', UseSSL => 1, UseObjectPath => 1 }, $Servlet
    };
    GetLog()->warn(sprintf('$self = %s',Dumper($self)));
    GetLog()->warn(sprintf('SuccessLink = %s', $mkurl->('ShippingCallbackColissimoSuccess')));
    GetLog()->warn(sprintf('FailedLink  = %s', $mkurl->('ShippingCallbackColissimoFailed')));
    $Servlet->vars(SuccessLink => $mkurl->('ShippingCallbackColissimoSuccess'));
    $Servlet->vars(FailedLink  => $mkurl->('ShippingCallbackColissimoFailed' ));

    $self->SUPER::View($Servlet);
    return;
}

sub Save {
    my $self = shift;
    my ($Servlet) = @_;
    my $ShippingFulfillmentMethod = $Servlet->object;
    $Servlet->form->form($ShippingFulfillmentMethod, 'ColissimoSFMConfig');
    $self->SUPER::Save($Servlet);
    return;
}

1;
