#!/bin/env perl

use strict;
use Getopt::Long;
use Config::IniFiles;

sub usage {
    die <<END_USAGE;
Usage:
    perl $0 -section SECTION -file INI_FILE
END_USAGE
}

my %Options = ();
my @GetOpt = qw(help section=s file=s);

usage() unless GetOptions(\%Options, @GetOpt);
usage() if defined $Options{help};
usage() unless defined $Options{section};
usage() unless defined $Options{file};

exit 0 unless -f $Options{file};

my ($UserID, $GroupID) = (stat $Options{file})[4,5];

my $cfg = Config::IniFiles->new(-file => $Options{file}) or die;
$cfg->DeleteSection($Options{section});
$cfg->RewriteConfig();

chown($UserID, -1, $Options{file}) if $> == 0;
chown(-1, $GroupID, $Options{file}) if $> == 0 or $> == $UserID;
