use strict;
use Test::More tests => 5;
use Data::Compare qw(Compare);
use DE_EPAGES::Core::API::Script qw( RunScript );

sub Main {

    ok( 1, 'init');

    my @a1 = qw(one two);
    my @a2 = qw(bar baz);
    my $h1 = { 'foo' => [ @a2 ], 'FOO' => [ @a1 ] };
    my $h2 = { 'foo' => [ qw(bar barf) ], 'FOO' => [ @a1 ] };
    my %v = ( 'FOO', \@a1, 'foo', \@a2 );

    # procedural interface
    ok(Compare($h1, \%v), 'structures are identical');
    ok(Compare($h1, $h2, { ignore_hash_keys => [qw(foo)] }),
       'structures are nearly identical');

    # OO usage
    my $c = Data::Compare->new($h1, \%v);
    ok($c->Cmp, 'structures are identical (OO)');

    my $d = Data::Compare->new;
    ok(!$d->Cmp($h1, $h2), 'structures are different (OO)');
}

RunScript(Sub=>\&Main, Debug=>1);
