#========================================================================================
# package      DE_EPAGES::DHLIntaship::t::unit::SettingTest_OptionsBlacklist
# state        private
#----------------------------------------------------------------------------------------
# description  test the setting of blacklist options
#========================================================================================
package DE_EPAGES::DHLIntaship::t::unit::SettingTest_OptionsBlacklist;

use strict;

use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingOptionBlacklist qw (
    %MAPPINGOPTIONBLACKLIST
);
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingOptionsOptionGroups qw (
    GetServicePackageOptions
);
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingServiceTypePackageType qw (
    GetPackageTypes
);
use Test::More;

sub Main {

    TestSettingsMappingPackageTypeOptions();

    done_testing();
}

sub TestSettingsMappingPackageTypeOptions{
    my $aPackageTypesInBlacklist = [keys %MAPPINGOPTIONBLACKLIST];
    my $aPossiblePackageTypes = GetPackageTypes();

    foreach my $PackageType (@{$aPackageTypesInBlacklist}){
        note('--------------------------------------------');
        ok(ElementOf($PackageType, $aPossiblePackageTypes),
           "PackageType: $PackageType is available (from: API::ServicePackageOptionConstants::MappingOptionBlacklist )");
        note('--------------------------------------------');
        _TestOptions($PackageType);
    }
}

sub _TestOptions{
    my ($PackageType) = @_;
    my $aOptionsOfPackagetype = $MAPPINGOPTIONBLACKLIST{$PackageType};
    my $aPossibleOptions      = GetServicePackageOptions();
    foreach my $aOptions (@$aOptionsOfPackagetype){
        foreach my $Option (@{$aOptions}){
            ok(ElementOf($Option, $aPossibleOptions),"Option: $Option is available");
        }
    }
}
RunScript( Sub => \&Main );
