#========================================================================================
# package      DE_EPAGES::DHLIntaship::t::unit::SettingTest_Packagetype_Options
# state        private
#----------------------------------------------------------------------------------------
# description  test the setting of packagetype options
#========================================================================================
package DE_EPAGES::DHLIntaship::t::unit::SettingTest_Packagetype_Options;

use strict;

use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingOptionsOptionGroups qw (
    GetServicePackageOptions
);
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingPackageTypeOptions qw (
    %MAPPINGPACKAGETYPEOPTIONS
);
use DE_EPAGES::DHLIntraship::API::ServicePackageOptionConstants::MappingServiceTypePackageType qw (
    GetPackageTypes
);
use Test::More;

sub Main {

    TestSettingsMappingPackageTypeOptions();

    done_testing();
}

sub TestSettingsMappingPackageTypeOptions{
    my $aPackageTypes = [keys %MAPPINGPACKAGETYPEOPTIONS];
    my $aPossiblePackageTypes = GetPackageTypes();
    my $aPossibleOptions      = GetServicePackageOptions();
    foreach my $PackageType (@{$aPackageTypes}){
        note('--------------------------------------------');
        ok(ElementOf($PackageType, $aPossiblePackageTypes),
           "PackageType: $PackageType is available");
        note('--------------------------------------------');
        my $hOptions = $MAPPINGPACKAGETYPEOPTIONS{$PackageType};
        foreach my $Option (keys %$hOptions){
            ok(ElementOf($Option, $aPossibleOptions),"Option: $Option is available");
        }
    }
}

RunScript( Sub => \&Main );
