use strict;
use Test::More tests => 2;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );
use DE_EPAGES::Diagnostics::API::HelpCenter qw ( GetApiInfoFromDocRoot
                                                 GetModelsInfoFromDocRoot);

sub Main {

    note('init');

    # Continous deployment doc points to the latest version documentation
    my $DocRoot = 'http://helpcenter.epages.com/Doc/ver_6/epages';
    TestDocumentation($DocRoot);
}

sub TestDocumentation($) {
    my ($DocRoot) = @_;

    # GetApiInfoFromDocRoot
    my $aKnownAPIDocs = GetApiInfoFromDocRoot($DocRoot);
    my $APIDocu = 'DE_EPAGES/Core/API/File.pm.html';
    ok (ElementOf($APIDocu, $aKnownAPIDocs), "$DocRoot/API/$APIDocu");

    # GetModelsInfoFromDocRoot
    my $hModelsInfo = GetModelsInfoFromDocRoot($DocRoot);
    ok ($hModelsInfo->{'Trigger'} eq 'Trigger_Hook.pdf',
        "$DocRoot/Models/Trigger_Hook.pdf");
}

RunScript( Sub => \&Main, Debug => 1 );
