use strict;
use SOAP::Lite;
use URI;
use Time::HiRes qw (time);

my $Server = 'bweisse-vm3';
# my $Server = 'hmoye:8888';
my $Store  = 'Master';
my $Shop   = 'MasterShop';
my $Login  = 'admin';
my $Pass   = 'admin';

# Create a SOAP::Lite client object
my $ProductService = SOAP::Lite
    ->uri( 'urn://epages.de/WebService/ProductService/2011/10' )
    ->proxy( "http://$Server/epages/$Store.soap" )
    ->xmlschema('2001');

# Authentication
my $URI = URI->new( $ProductService->proxy->endpoint );
$URI->userinfo( "/Shops/$Shop/Users/$Login:$Pass" );
$ProductService->proxy->endpoint( $URI->as_string );

# Start time tracking
my $time0 = time();

# Find products
my $aResults = $ProductService->find()->result;
my $NumberOfProducts = $aResults ? scalar @$aResults : 0;
print "Anzahl produkte: $NumberOfProducts\n";

# Print needed time
printf "need %.1f seconds\n", time()-$time0;
$time0 = time();

if (defined $aResults and scalar @$aResults) {
    my $hProductsByPath = {};
    my $ProductPath = $aResults->[0];

    $aResults = $ProductService->getInfo([$ProductPath])->result;
    # Print needed time
    printf "need %.1f seconds more\n", time()-$time0;
    $time0 = time();

    if ($aResults) {
        my $hProduct = $aResults->[0];

        $ProductPath = $hProduct->{'Path'};
        $hProductsByPath->{$ProductPath} = {
            'StockLevel'    => $hProduct->{'StockLevel'}
        };

        # Update stocklevel
        my $StockLevel = $hProductsByPath->{'StockLevel'} ? $hProductsByPath->{'StockLevel'} + 1 : 3;
        $ProductService->update([{
            'Path'          => $ProductPath,
            'StockLevel'    => $StockLevel,
            'ProductPrices' => [
                { 'CurrencyID' => 'EUR', 'Price' => 144, 'TaxModel' => 'gross' },
            ],
            'ManufacturerPrices' => [
                { 'CurrencyID' => 'EUR', 'Price' => 125, 'TaxModel' => 'gross' },
            ],
            'DepositPrices' => [
                { 'CurrencyID' => 'EUR', 'Price' => 51, 'TaxModel' => 'gross' },
            ]
        }])->result;
    } else {
        printf "no product info found to change\n";
    }
}

# Print needed time
printf "need %.1f seconds more\n", time()-$time0;
$time0 = time();

