#==============================================================================
# package      DE_EPAGES::ProductPortal::UI::Product
# state        private
#==============================================================================
package DE_EPAGES::ProductPortal::UI::Product;
use base qw( DE_EPAGES::Presentation::UI::Object );

use strict;
use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );

#==============================================================================
# Event handlers
#==============================================================================

sub AddToProductPortal {
    my $self = shift;
    my ($Servlet) = @_;

    my $Product = $Servlet->object;
    my @PortalIDs = $Servlet->form->value('PortalID');
    my $Shop = $Product->getSite();
    my $aActivePortalConfigs = $Shop->get('PortalConfigs');

    # add / remove products from portal config
    if (scalar @$aActivePortalConfigs) {
        # add and remove
        foreach my $ActivePortalConfig (@$aActivePortalConfigs) {
            next if ($ActivePortalConfig->get('ExportAllProducts'));
            if (ElementOf($ActivePortalConfig->id, @PortalIDs)) {
                # add the product to the product portal
                $ActivePortalConfig->addProducts([$Product])
                    unless ($ActivePortalConfig->existsProduct($Product));
            } else {
                # remove the product from product portal
                $ActivePortalConfig->removeProducts([$Product])
                    if ($ActivePortalConfig->existsProduct($Product));
            }
        }
    } else { # only add
        foreach my $PortalID (@PortalIDs) {
            my $Portal = $Shop->loadObject($PortalID, 'Portal');
            # add the product to the product portal
            $Portal->addProducts([$Product]);
        }
    }
    return;
}

1;
