#========================================================================================
# package      DE_EPAGES::USPS::API::Attributes::ShippingLabelUSPS
# base         DE_EPAGES::ExternalShipping::API::Attributes::ShippingLabel
# state        public
# description  Description
#========================================================================================
package DE_EPAGES::USPS::API::Attributes::ShippingLabelUSPS;
use base DE_EPAGES::ExternalShipping::API::Attributes::ShippingLabel;

use strict;

#========================================================================================
# function     getAttributes
# state        private
#----------------------------------------------------------------------------------------
# syntax       $hValues = getAttributes( $Object, $aNames );
#----------------------------------------------------------------------------------------
# example      # never call getAttributes directly!
#               $Value = $Object->get( $AttributeName );
#----------------------------------------------------------------------------------------
# description  Returns attribute values of an object.
#               Used by <function DE_EPAGES::Object::Object::Object::get>
#----------------------------------------------------------------------------------------
# input        $Object | object | object
# input        $aNames | list of attribute names | ref.array
# return       $hInfo | attribute name => value hash | ref.hash
#========================================================================================
sub getAttributes {
   my $self = shift;
   my ($Object, $aNames) = @_;
   my $hInfo = {};
   $hInfo = $self->SUPER::getAttributes($Object, $aNames);
   foreach my $Name (@$aNames) {
       # An issued USPS shipping label can be printed and sent as a pdf, but not
       # printed as a document
       if ( $Name eq 'CanPrintDocument' ) {
           $hInfo->{$Name} = 0;
       }
   }
   return $hInfo;

}

1;
