package DE_EPAGES::WebService::t::unit::Util;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::WebService::API::Util qw ( ReadJSONBoolean );
use Test::More;
use strict;

use JSON;

sub test {
    my $self = shift;

    $self->test_readJSONBoolean();

    done_testing();
}

sub test_readJSONBoolean {
    my $self = shift;

    is(ReadJSONBoolean(JSON::true), 1, 'ReadJSONBoolean(JSON::true)');
    is(ReadJSONBoolean(JSON::false), 0, 'ReadJSONBoolean(JSON::false)');

    is(ReadJSONBoolean(JSON::PP::true), 1, 'ReadJSONBoolean(JSON::PP::true)');
    is(ReadJSONBoolean(JSON::PP::false), 0, 'ReadJSONBoolean(JSON::PP::false)');

    is(ReadJSONBoolean(JSON::XS::true), 1, 'ReadJSONBoolean(JSON::XS::true)');
    is(ReadJSONBoolean(JSON::XS::false), 0, 'ReadJSONBoolean(JSON::XS::false)');

    is(ReadJSONBoolean(undef), 0, 'ReadJSONBoolean(undef)');
    is(ReadJSONBoolean('test'), 0, 'ReadJSONBoolean("test")');

    is(ReadJSONBoolean('true'), 1, 'ReadJSONBoolean("true")');
    is(ReadJSONBoolean('false'), 0, 'ReadJSONBoolean("false")');

    is(ReadJSONBoolean(1), 1, 'ReadJSONBoolean(1)');
    is(ReadJSONBoolean(0), 0, 'ReadJSONBoolean(0)');
}

__PACKAGE__->runScript();
