CREATE TABLE zettleproductexport (
     globalexportuuid     varchar(36) not null
,    batchnumber          integer not null
,    siteid               integer not null
,    exporttype           integer not null
,    itemcount            integer not null
,    batchexportstatus    integer not null
,    batchexportuuid      varchar(36) null
,    startedon            datetime not null
,    updatedon            datetime null
,    errortype            varchar(80) null
,    errormessage         varchar(255) null

,    constraint pk_zettleproductexport primary key (globalexportuuid,batchnumber)
,    constraint fk_zettleproductexport_siteid    foreign key (siteid)
         references site                             (siteid)
)
GO

CREATE INDEX i_zettleproductexport_globalexportuuid_batchexportstatus ON zettleproductexport (globalexportuuid, batchexportstatus)
GO

CREATE INDEX i_zettleproductexport_siteid ON zettleproductexport (siteid)
GO

CREATE INDEX i_zettleproductexport_startedon ON zettleproductexport (startedon)
GO
